﻿@model EfixElectrical.Models.ContactView
@{
    ViewBag.Title = Resources.Layout_Contact;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <div class="col-md-12 contact">
        <div class="well well-sm col-md-12">
            <div class="col-md-6">
                <h5>@Resources.Contact_ContactInformation</h5><br />
                <p>@Resources.Contact_ContactInformationP</p>
                <ul>
                    <li><label>@Resources.Contact_Address <i class="fa fa-location-arrow"></i> @Resources.Contact_AddressP</label></li>
                    <li><label>@Resources.Contact_Phone <i class="fa fa-phone"></i>@Resources.Contact_PhoneP</label></li>
                    <li><label>@Resources.Contact_Email <i class="fa fa-envelope-square"></i> <a href="@Url.Content("mailto:admin@efixelectrical.com.mk")"> @Resources.Contact_EmailP</a></label></li>
                    <li><label>Skype: <a href="@Url.Content("skype:efix.electrical?call")"><i class="fa fa-skype"></i> efix.electrical</a></label></li>
                </ul>
            </div>
            <div class="col-md-6">
                @using (Html.BeginForm("Contact", "Home", FormMethod.Post, new { id = "contactform" }))
                {
                    @Html.ValidationSummary(true)
                    <div class="form-group">
                        @Html.LabelFor(f => f.Name, Resources.Contact_Name)
                        @Html.TextBoxFor(f => f.Name, new { @class = "form-control", required = "required" })
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(f => f.Email, Resources.Contact_Email)
                        @Html.TextBoxFor(f => f.Email, new { @class = "form-control", required = "required" })
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(f => f.Subject, Resources.Contact_Subject)
                        @Html.TextBoxFor(f => f.Subject, new { @class = "form-control", required = "required" })
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(f => f.Message, Resources.Contact_Message)<br />
                        @Html.TextAreaFor(f => f.Message, new { @class = "form-control", required = "required" })
                    </div>
                    <div class="form-group">
                        <button type="submit" data-sitekey="6Lc3EyQeAAAAANkL7iyUQVzg8GDxMPICOeH8X6UV" data-callback="onSubmit" data-action="submit" class="btn btn-danger pull-right g-recaptcha">@Resources.Contact_SendButton</button><br /><br />
                    </div>
                }
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12 contact">
        <div class="well well-sm col-md-12">
            <h5>@Resources.Contact_Map</h5>
            <iframe src="https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d403.42366308461067!2d21.39770822439942!3d42.003930424607404!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e1!3m2!1sen!2smk!4v1714556332450!5m2!1sen!2smk" style="border:0; width:100%; height:600px;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
        </div>
    </div>
</div>
<script type="text/javascript">
    var sending = '@Html.Raw(Resources.Contact_Sending)';
    var sendButton = '@Html.Raw(Resources.Contact_SendButton)';
    var missedonefieldText = '@Html.Raw(Resources.Contact_Missed1Field)';
    var missedText = '@Html.Raw(Resources.Contact_Missed)';
    var missedContinued = '@Html.Raw(Resources.Contact_MissedContinued)';
</script>
@section scripts
{
    <script type="text/javascript" src="~/lib/jquery.validate.js"></script>
    <script type="text/javascript" src="~/lib/jquery.validate.unobtrusive.js"></script>
    <script type="text/javascript">
        function onSubmit(token) {
            document.getElementById("contactform").submit();
        }
    </script>
    <script type="text/javascript" src="@Url.Content("https://maps.google.com/maps/api/js?sensor=false")"></script>
}
